Skip to content

WorkFlowRepGen⁠

Perform various operations for Symitar parameters.

Operations⁠

getWorkFlowRepGenSelectFields⁠

POST

Execute the persistent ParameterService getWorkFlowRepGenSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WorkFlowRepGenSpecfileintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWorkFlowRepGenSelectFields
POST /nexum/627/persistent/parameter/getWorkFlowRepGenSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WorkFlowRepGenSpecfile": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWorkFlowRepGenFields": true,
    "WorkFlowRepGenFields": {
      "Specfile": true,
      "SpecfileDescription": true,
      "SpecfileName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWorkFlowRepGenPagedListSelectFields⁠

POST

Execute the persistent ParameterService getWorkFlowRepGenPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWorkFlowRepGenPagedListSelectFields
POST /nexum/627/persistent/parameter/getWorkFlowRepGenPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWorkFlowRepGenFields": true,
    "WorkFlowRepGenFields": {
      "Specfile": true,
      "SpecfileDescription": true,
      "SpecfileName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWorkFlowRepGenPagedSelectFields⁠

POST

Execute the persistent ParameterService searchWorkFlowRepGenPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchWorkFlowRepGenPagedSelectFields
POST /nexum/627/persistent/parameter/searchWorkFlowRepGenPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWorkFlowRepGenFields": true,
    "WorkFlowRepGenFields": {
      "Specfile": true,
      "SpecfileDescription": true,
      "SpecfileName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWorkFlowRepGenByID⁠

POST

Execute the persistent ParameterService updateWorkFlowRepGenByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WorkFlowRepGenSpecfileintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWorkFlowRepGenByID
POST /nexum/627/persistent/parameter/updateWorkFlowRepGenByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WorkFlowRepGenSpecfile": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WorkFlowRepGenFields": {
    "Specfile": 0,
    "SpecfileDescription": "string",
    "SpecfileName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}